
% Assume that all data are in ../data/
%

%Matlab code that:

% a) Reads the training data
% b) Computes scatters
% c) Computes LDA projection matrices
% d) Saves LDA projection matrix as "LDA_2a.mat" in ascii
% e) Trains models
% f) Stores model as a D x L matrix "models_2a.mat" in ascii 
%    D is dimensions, L is no. of languages
% g) Loads test set
% h) Classifies test instances
% i) Saves classifer output as a 1xN matrix in "results_2a.mat", in ascii
%    N is the number of test instances
% j) computes accuracies
% k) prints out dev and eval accuracies
