
% Assume that all data are in ../data/
%

%Matlab code that:

% a) Reads the training data and the LDA matrix
% b) Projects the training data using the LDA matrix
% c) Creates dictionaries
% d) Loads test set
% e) For each test instance i
%    Projects test instance using LDA matrix
%    Solves for S
%    Computes E(l) for each language l
%    Classifies instances into lang(i)
% f) Saves classifer output as a 1xN matrix in "results_2c.mat", in ascii
% g) computes accuracies
% h) prints out dev and eval accuracies
